// LDAP Server Configuration
const ldap_server = {

    port: env('LDAP_SERVER_PORT', 389),
    max_connections: env('LDAP_MAX_CONNECTIONS'),
    interface: env('LDAP_LISTEN_INTERFACE', '0.0.0.0'),

    schema: {
        base_dc: env('LDAP_BASE_DC', 'dc=example,dc=com'),
        authentication_base: env('LDAP_AUTH_BASE', 'ou=people'),
        group_base: env('LDAP_GROUP_BASE', 'ou=groups'),
        auth: {
            user_id: 'uid',
        }
    },

    format: {
        skipSpace: true,
    },
}

module.exports = exports = ldap_server
